---
title: Strict inequality (!==)
slug: Web/JavaScript/Reference/Operators/Strict_inequality
tags:
  - JavaScript
  - Language feature
  - Operator
  - Reference
---
<div>{{jsSidebar("Operators")}}</div>

<p>The strict inequality operator (<code>!==</code>) checks whether its two operands are not equal, returning a Boolean result. Unlike the <a href="/en-US/docs/Web/JavaScript/Reference/Operators/Inequality">inequality</a> operator, the strict inequality operator always considers operands of different types to be different.</p>

<div>{{EmbedInteractiveExample("pages/js/expressions-strict-inequality.html")}}</div>

<div class="hidden">The source for this interactive example is stored in a GitHub repository. If you'd like to contribute to the interactive examples project, please clone <a href="https://github.com/mdn/interactive-examples">https://github.com/mdn/interactive-examples</a> and send us a pull request.</div>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox notranslate">x !== y</pre>

<h2 id="Description">Description</h2>

<p>The strict inequality operator checks whether its operands are not equal. It is the negation of the <a href="/en-US/docs/Web/JavaScript/Reference/Operators/Strict_equality">strict equality</a> operator so the following two lines will always give the same result:</p>

<pre class="brush: js notranslate">x !== y

!(x === y)</pre>

<p>For details of the comparison algorithm, see the page for the <a href="/en-US/docs/Web/JavaScript/Reference/Operators/Strict_equality">strict equality</a> operator.</p>

<p>Like the strict equality operator, the strict inequality operator will always consider operands of different types to be different:</p>

<pre class="brush: js notranslate">3 !== "3"; // true</pre>

<h2 id="Examples">Examples</h2>

<h3 id="Comparing_operands_of_the_same_type">Comparing operands of the same type</h3>

<pre class="brush: js notranslate">console.log("hello" !== "hello");   // false
console.log("hello" !== "hola");    // true

console.log(3 !== 3);               // false
console.log(3 !== 4);               // true

console.log(true !== true);         // false
console.log(true !== false);        // true

console.log(null !== null);         // false</pre>

<h3 id="Comparing_operands_of_different_types">Comparing operands of different types</h3>

<pre class="brush: js notranslate">console.log("3" !== 3);           // true

console.log(true !== 1);          // true

console.log(null !== undefined);  // true</pre>

<h3 id="Comparing_objects">Comparing objects</h3>

<pre class="brush: js notranslate">const object1 = {
  name: "hello"
}

const object2 = {
  name: "hello"
}

console.log(object1 !== object2);  // true
console.log(object1 !== object1);  // false</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('ESDraft', '#sec-equality-operators', 'Equality operators')}}</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("javascript.operators.strict_inequality")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web/JavaScript/Reference/Operators/Equality">Equality operator</a></li>
 <li><a href="/en-US/docs/Web/JavaScript/Reference/Operators/Inequality">Inequality operator</a></li>
 <li><a href="/en-US/docs/Web/JavaScript/Reference/Operators/Strict_equality">Strict equality operator</a></li>
</ul>
